## org.jboss.jms.ra
Class JmsLocalTransaction

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsLocalTransaction

All Implemented Interfaces:
  javax.resource.spi.LocalTransaction

public class JmsLocalTransaction
extends java.lang.Object
implements javax.resource.spi.LocalTransaction

JmsLocalTransaction.java Created: Tue Apr 17 23:44:05 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.

Constructor Summary
`JmsLocalTransaction(JmsManagedConnection mc)`

Method Summary
`void` `begin()`
`void` `commit()`
`void` `rollback()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsLocalTransaction

    public JmsLocalTransaction(JmsManagedConnection mc)

Method Detail

### begin

    public void begin()
               throws javax.resource.ResourceException

  Specified by:
    `begin` in interface `javax.resource.spi.LocalTransaction`

### commit

    public void commit()
                throws javax.resource.ResourceException

  Specified by:
    `commit` in interface `javax.resource.spi.LocalTransaction`

### rollback

    public void rollback()
                  throws javax.resource.ResourceException

  Specified by:
    `rollback` in interface `javax.resource.spi.LocalTransaction`

Copyright © 2000 The JBoss Organization. All Rights Reserved.